Bug 1773357 - thinkfan: symbol lookup error: thinkfan: undefined symbol: _ZN4YAML6detail9node_data12empty_scalarB5cxx11E
Summary: thinkfan: symbol lookup error: thinkfan: undefined symbol: _ZN4YAML6detail9no...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thinkfan
Version: 31
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-17 21:20 UTC by voigas
Modified: 2019-11-27 00:23 UTC (History)
2 users (show)

Fixed In Version: thinkfan-1.0.2-5.fc30 thinkfan-1.0.2-5.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-26 23:51:34 UTC
Type: ---


Attachments (Terms of Use)

Description voigas 2019-11-17 21:20:17 UTC
User-Agent:       Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/78.0.3904.97 Safari/537.36
Build Identifier: 

Seems to a problem with dependency yaml-cpp. Please check https://github.com/vmatare/thinkfan/issues/74

Reproducible: Always

Steps to Reproduce:
1.Execute thinkfan
Actual Results:  
Program terminates with error message

Expected Results:  
Program runs as desired

Comment 1 Sandro Mani 2019-11-17 21:43:50 UTC
Indeed the incompatible yaml-cpp-0.6.3 landed in F31 but thinkfan was not rebuilt.

Comment 2 Fedora Update System 2019-11-18 02:15:09 UTC
thinkfan-1.0.2-5.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-aaebd568cd

Comment 3 Fedora Update System 2019-11-18 03:07:42 UTC
thinkfan-1.0.2-5.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-f433d4d2e4

Comment 4 voigas 2019-11-18 18:55:31 UTC
Problem solved for me. Thank you!

Comment 5 bramgn 2019-11-20 17:30:42 UTC
Installing the thinkfan package from updates-testing also solved it for me (F31 on Thinkpad T420s)

Comment 6 Fedora Update System 2019-11-26 23:51:34 UTC
thinkfan-1.0.2-5.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-11-27 00:23:27 UTC
thinkfan-1.0.2-5.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.